Booklinker.API

<back to all web services

GetProductMetadataRequest

The following routes are available for this service:
GET/v1/product/metadata
GetProductMetadataRequest Parameters:
NameParameterData TypeRequiredDescription
UrlquerystringYes
GetProductMetadataResponse Parameters:
NameParameterData TypeRequiredDescription
ProductMetadataformProductMetadataNo
IsSupportedformboolNo
ResponseStatusformResponseStatusNo
ProductMetadata Parameters:
NameParameterData TypeRequiredDescription
TitleformstringNo
AuthorformstringNo
UrlformUriNo
DescriptionformstringNo
RetailerformstringNo
ProductImagesformIDictionary<string, Uri>No

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /v1/product/metadata HTTP/1.1 
Host: api.booklinker.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"productMetadata":{"title":"String","author":"String","description":"String","retailer":"String"},"isSupported":false,"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}